:root {
    --ff-head: "Brandon Grotesque", Sans-serif;
    --ff-dm: "DM Sans", Sans-serif;
}

.text-center {
    text-align: center;
}

.circle-shape {
    position: relative;
    overflow: hidden;
}

.circle-shape::before {
    content: "";
    position: absolute;
    width: 42%;
    aspect-ratio: 1/1;
    position: absolute;
    top: -10%;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(255, 255, 255, 0.8);
    filter: blur(162px);
}

footer {
    position: relative;
    overflow: hidden;
}

footer::before {
    content: "";
    width: 43.65%;
    aspect-ratio: 1/1;
    position: absolute;
    top: 98%;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(245, 0, 91, 0.5);
    filter: blur(247px);
}

footer .elementor-icon-list-icon {
    width: 2.5rem;
    height: 2.5rem;
    border: 1px solid #a873c8;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    flex-shrink: 0;
    margin-right: 0.75rem;
}

footer .elementor-icon-list-icon svg {
    display: block;
    margin: 0 !important;
}

.grid-2 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    --card-ratio: 4/3;
    --card-gradient: linear-gradient(
        180deg,
        rgba(51, 13, 74, 0) 20.19%,
        rgba(51, 13, 74, 0.7) 64.07%
    );
    --card-height: 50%;
}

.grid-2 > :last-child:nth-child(odd) {
    grid-column: 1 / -1;
    justify-self: center;
}

.grid-4 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1rem;
    --card-wrap: wrap;
}

.category-card {
    font-family: var(--ff-dm);
    border-radius: 16px;
    overflow: clip;
    position: relative;
    max-width: 767px;
}

.category-card--figure {
    margin: 0;
}

.category-card--figure img {
    aspect-ratio: 1/1;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform 0.6s ease;
}

.category-card--content {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 1rem;
    display: flex;
    flex-wrap: var(--card-wrap);
    justify-content: space-between;
    align-items: flex-end;
    align-content: flex-end;
    gap: 1rem;
    color: #fff;
    background: var(
        --card-gradient,
        linear-gradient(
            180deg,
            rgba(15, 3, 23, 0) 49.19%,
            rgba(15, 3, 23, 0.7) 64.07%
        )
    );
}

.category-card--content h3 {
    width: 100%;
    font-family: var(--ff-head);
    font-size: 1.25rem;
    font-weight: bold;
    line-height: 1.15;
    text-transform: uppercase;
    margin-top: 0;
    margin-bottom: 0;
}

.category-card--content p {
    width: 100%;
    margin: 0;
    font-size: 0.875rem;
    line-height: 1.4;
    display: none;
}

.category-card__link {
    width: 2.5rem;
    height: 2.5rem;
    flex-shrink: 0;
    color: #fff;
    border: 1px solid currentColor;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.category-card__link:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 200%;
}

.category-card__link svg {
    width: 0.5em;
    height: auto;
}

.category-card:hover .category-card__link,
.category-card__link:hover {
    color: #fff;
    background-color: var(--e-global-color-secondary);
    border-color: var(--e-global-color-secondary);
}

.category-card:hover img {
    transform: scale(1.05);
}

.cubita_swiper .swiper {
    overflow: visible;
}

.cubita_swiper .swiper-slide-inner img {
    width: 100%;
    aspect-ratio: 4/2;
    object-fit: cover;
    display: block;
}

.cubita_swiper::before,
.cubita_swiper::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: 11;
    width: 20%;
    opacity: 0.5;
    border-radius: 10px;
    background-color: var(--e-global-color-7c557d0);
}

.cubita_swiper::before {
    left: 0;
    transform: translateX(-100%);
}

.cubita_swiper::after {
    right: 0;
    transform: translateX(100%);
}

.cubita_swiper .elementor-swiper-button.elementor-swiper-button {
    z-index: 111;
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #fff;
    color: var(--e-global-color-7c557d0);
}

.cubita_swiper .elementor-swiper-button.elementor-swiper-button svg {
    display: block;
    fill: currentColor;
}

.cubita_swiper .elementor-swiper-button:hover {
    color: #fff;
    background-color: var(--e-global-color-7c557d0);
}

.tag-blur {
    background: rgba(29, 29, 29, 0.3);
    border: 1.5px solid #ffffff;
    backdrop-filter: blur(12px);
    border-radius: 999px;
}

.cubita_tabs {
    --n-tabs-title-background-color: tranparent;
    --n-tabs-title-background-color-hover: tranparent;
    --n-tabs-title-background-color-active: tranparent;
}

.cubita_tabs .e-n-tab-title::before {
    content: "";
    width: 1.5em;
    height: 1.5em;
    background-color: #f6f6f6;
    border: 1px solid currentColor;
    border-radius: 50%;
    margin-right: 5px;
}

.cubita_tabs .e-n-tab-title[aria-selected="true"]::before {
    border-color: var(--e-global-color-secondary);
    background: radial-gradient(
        circle,
        var(--e-global-color-secondary) 0,
        var(--e-global-color-secondary) 40%,
        #0000 45%
    );
}

.cubita_tabs .elementor-field-group textarea,
.cubita_tabs .elementor-field-group .elementor-field-textual {
    padding: 1rem 0 !important;
}

.cubita_tabs .elementor-field-group .elementor-field-textual:focus {
    box-shadow: none;
    outline: 0;
    border-color: var(--e-global-color-secondary) !important;
}

@media (min-width: 767px) {
    .grid-2 {
        grid-template-columns: repeat(2, 1fr);
        gap: 1.5rem;
    }

    .cubita_swiper {
        width: 75% !important;
        margin-inline: auto;
    }

    .cubita_swiper .elementor-swiper-button.elementor-swiper-button {
        width: 62px;
        height: 62px;
    }

    .cubita_swiper .elementor-swiper-button-prev.elementor-swiper-button-prev {
        left: -30px;
    }

    .cubita_swiper .elementor-swiper-button-next.elementor-swiper-button-next {
        right: -30px;
    }

    .category-card--content {
        padding: 1.5rem;
    }

    .cubita_tabs .e-n-tab-title::before {
        width: 2em;
        height: 2em;
    }
}

@media (min-width: 1280px) {
    .grid-4 {
        gap: 1.5rem;
    }

    .category-card__link {
        width: 3.75rem;
        height: 3.75rem;
    }

    .category-card--content {
        top: auto;
        height: var(--card-height, 100%);
    }

    .category-card--content h3 {
        max-width: none;
        font-size: 2.15rem;
    }

    .category-card--content p {
        font-size: 1rem;
        display: block;
        margin-top: 0.5rem;
    }

    .category-card--figure img {
        aspect-ratio: var(--card-ratio, 3/4);
    }
}

.elementor-popup-modal.dialog-type-lightbox.dialog-type-lightbox {
    background-color: rgba(21, 5, 30, 0.7);
    backdrop-filter: blur(27px);
}

.card-item:hover .elementor-icon {
    background-color: var(--e-global-color-secondary);
    fill: #fff !important;
    border-color: #fff !important;
}

.elementor-message {
    padding: 10px;
    font-size: 14px;
    border-radius: 5px;
}

.elementor-message.elementor-message-success {
    background: #d9ffe2;
}

.elementor-message.elementor-message-danger {
    background: #ffded9;
}

.tab-style .e-n-tabs-heading {
    align-self: flex-start;
    border-bottom: 1px solid #d4d4d4;
    overflow: hidden;
}

.tab-style .e-n-tabs-heading > * + * {
    margin-top: -1px;
}

.tab-style .e-n-tabs-heading > *:last-child {
    border-bottom: none !important;
}

.tab-style .e-n-tabs-heading > .e-n-tab-title[aria-selected="true"] {
    border-top: 1px solid #d4d4d4 !important;
}
